org.keycloak.userprofile

## Class AttributeGroupMetadata

- java.lang.Object
- - org.keycloak.userprofile.AttributeGroupMetadata

-     public class AttributeGroupMetadata
      extends Object

  Configuration of the attribute group.
  Author:
    Jörg Matysiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeGroupMetadata(String name, String displayHeader, String displayDescription, Map<String,Object> annotations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeGroupMetadata` | `addAnnotations(Map<String,Object> annotations)`
    `AttributeGroupMetadata` | `clone()`
    `Map<String,Object>` | `getAnnotations()`
    `String` | `getDisplayDescription()`
    `String` | `getDisplayHeader()`
    `String` | `getName()`
    `AttributeGroupMetadata` | `setDisplayDescription(String displayDescription)`
    `AttributeGroupMetadata` | `setDisplayHeader(String displayHeader)`
    `AttributeGroupMetadata` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeGroupMetadata

          public AttributeGroupMetadata(String name,
                                        String displayHeader,
                                        String displayDescription,
                                        Map<String,Object> annotations)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public AttributeGroupMetadata setName(String name)

    - #### getDisplayHeader

          public String getDisplayHeader()

    - #### setDisplayHeader

          public AttributeGroupMetadata setDisplayHeader(String displayHeader)

    - #### getDisplayDescription

          public String getDisplayDescription()

    - #### setDisplayDescription

          public AttributeGroupMetadata setDisplayDescription(String displayDescription)

    - #### getAnnotations

          public Map<String,Object> getAnnotations()

    - #### addAnnotations

          public AttributeGroupMetadata addAnnotations(Map<String,Object> annotations)

    - #### clone

          public AttributeGroupMetadata clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.